package gmodel

import (
	"gorm.io/gorm"
)

// fs_change_code 忘记密码code表
type FsChangeCode struct {
	Id        int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // id
	Email     *string `gorm:"default:'';" json:"email"`                        //
	Code      *string `gorm:"default:'';" json:"code"`                         //
	CreatedAt *int64  `gorm:"default:0;" json:"created_at"`                    // 创建时间
	IsUse     *int64  `gorm:"default:0;" json:"is_use"`                        // 是否使用 1已使用 0未使用
	Metadata  *[]byte `gorm:"default:'';" json:"metadata"`                     //
	Module    *string `gorm:"default:'logo';" json:"module"`                   //
}
type FsChangeCodeModel struct {
	db   *gorm.DB
	name string
}

func NewFsChangeCodeModel(db *gorm.DB) *FsChangeCodeModel {
	return &FsChangeCodeModel{db: db, name: "fs_change_code"}
}
